Name:		qubes-core-admin-client
Version:    4.1.21
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   qubes-repo-templates
Requires:   scrypt
Requires:   qubes-rpm-oxide >= 0.2.3
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-tqdm
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin
/etc/qubes/post-install.d/30-keyboard-layout-service.sh

%changelog
* Sat Mar 26 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Sat Mar 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 400ea49
- version 4.1.21

* Fri Mar 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 510268c
- ci: use codecov-wrapper for proper commit sha reporting

* Thu Mar 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8662bc3
- CI: add lxml to extension-pkg-whitelist

* Thu Mar 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8138b03
- Adjust for pylint consider-using-with on suprocess.Popen

* Wed Mar 16 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15adb83
- qvm-template: load all repo files from /etc/qubes/repo-templates

* Mon Jan 10 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dcdab6f
- version 4.1.20

* Sat Jan 08 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cd532d7
- qvm-template: fix parsing enablerepo/disablerepo/repoid

* Thu Jan 06 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 64060f9
- Keep enable/disable repos ordering

* Sat Dec 18 2021 siliconninja <theninja@thesilicon.ninja> - 671c901
- qvm-run: Add command block to example commands

* Fri Dec 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6e5c1de
- qvm_template: use fstring in place of % formating'

* Fri Dec 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d5d73e0
- qvm_template: improve dnf import

* Fri Dec 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 42dc0c6
- qvm_template: fix repoid issue

* Fri Dec 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ae4b1b
- Several reformats and fix missing imports

* Sun Dec 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e9419c3
- version 4.1.19

* Sun Dec 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - afc6847
- Add qubes-rpm-oxide dependency for qvm-template

* Sun Dec 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2ac2963
- qvm-template: use rpm2archive instead of rpm2cpio

* Fri Dec 10 2021 smoothie-on-the-rocks <95510342+smoothie-on-the-rocks@users.noreply.github.com> - 20983a4
- Update list action details

* Fri Dec 03 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - be83be0
- Use rpmcanon to canonicalize downloaded templates

* Fri Dec 03 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 5c99766
- Strengthen handling of untrusted qrexec output

* Fri Dec 03 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 232ce65
- nogpgcheck should be a keyword-only argument

* Tue Nov 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b28ab2f
- Add dependencies required for qvm-template tool

* Sun Nov 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dbbaef7
- qvm-template: do not crash when killing already powered off VM

* Sun Nov 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d559ade
- qvm-template: make getting qubes release more defensive

* Sun Nov 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8304507
- qvm-template: preserve order of --enablerepo/--disablerepo/--repoid

* Sun Nov 28 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 1d1ed9d
- Use `%_pkgverify_level all` when checking package signatures

* Fri Nov 26 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5fe7a05
- qvm-template: fix listing available templates

* Wed Nov 24 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a0b3866
- set default value for features.get to None

* Sat Nov 13 2021 Ivan Kardykov <kardykov@tabit.pro> - 3257d15
- fix stubdomain gui starting when 'gui' is empty

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4e50b31
- version 4.1.18

* Fri Nov 05 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 3c82a41
- Add clearing property cache to Property Holder class

* Thu Nov 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22800a3
- qvm-start-daemon: update initial keyboard layout

* Wed Oct 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5a12b9b
- version 4.1.17

* Wed Oct 20 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8754bcb
- Avoid inheriting from multiple builtin exceptions

* Thu Oct 14 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f6c543
- Include qvm-template man page in the package

* Wed Oct 13 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 6491008
- Support setting ephemeral_volatile volume

* Sat Oct 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2cfc16a
- version 4.1.16

* Sat Oct 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 39cff4b
- tools/qvm-volume: add showing and setting 'ephemeral' property

* Fri Oct 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fedc63b
- version 4.1.15

* Wed Sep 29 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4b9fe24
- storage: add Volume.ephemeral property

* Wed Sep 29 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dfc909b
- tools/qvm-volume: improve formatting

* Wed Sep 29 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49f71db
- storage: fix formatting

* Tue Sep 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5cb6f0f
- Fix fallout from qvm-appmenus --force-root

* Tue Sep 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ab94319
- version 4.1.14

* Tue Sep 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ecf9723
- Do not interrupt the whole dispatcher if a single handler fails

* Tue Sep 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f7ebf96
- Add EventsDispatcher.stop()

* Sun Sep 19 2021 Yann Dirson <ydirson@free.fr> - 1a8913a
- qvm-create.1: more detailed --root-copy-from description

* Sun Sep 19 2021 Yann Dirson <ydirson@free.fr> - 764ca71
- qvm-create.1: improve --root-move-from description

* Thu Sep 16 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d78365e
- Better error reporting on backup errors

* Tue Sep 14 2021 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 7b4ef75
- Clarify 'internal' feature usage

* Fri Sep 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c77cc4
- Make --force-root parameter optionally visible again

